Bug 174134 - enhancement to allow the commit of characters using Enter
enhancement to allow the commit of characters using Enter
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: scim-pinyin (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Qian Shen
: FutureFeature, i18n, Reopened
Depends On:
Blocks: SCIM
  Show dependency treegraph
 
Reported: 2005-11-24 19:00 EST by Lawrence Lim
Modified: 2015-10-25 21:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 00:53:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lawrence Lim 2005-11-24 19:00:54 EST
Description of problem:
The usability of intelligent pinyin can be improved if it allow candidates to be
committed using Enter key.

Version-Release number of selected component (if applicable):
scim-pinyin-0.5.91-2

How reproducible:
Always

Steps to Reproduce:
1.start gedit
2.activate SCIM and select intelligent pinyin(zh_CN)
3.type 'hong + ENTER'
  
Actual results:
hong (in en)

Expected results:
commit the first character in the candidate window

Additional info:
Comment 2 Qian Shen 2006-02-10 02:08:23 EST
Ziguang in MS Windows does the same behavior : input the first character with
Space, input the English letter sequence with Enter. 
This behavior supplies convenient for Chinese usres. They often need input some
English letters or words in Chinese paragraphes. Through using Enter key, they
can input English letters just under pinyin engine, without switching to english
engine. 
I think it's not need to modify the befavior in scim-pinyin.
Comment 3 Lawrence Lim 2006-07-19 00:50:45 EDT
Noticed in the SCIM-pinyin help section, it mentioned the ability to commit
using Enter. Maybe the Help Section needs update?
Comment 4 Lawrence Lim 2006-07-19 00:53:44 EDT
My apologies, saw it wrongly. I take tt back.

Note You need to log in before you can comment on or make changes to this bug.